package models

// Store represents the backing store.
type Store interface {
	SelectActions() ([]*Action, error)
	SelectPlans() ([]*Plan, error)
}

// Model represents a current model item.
type Model struct {
	Store
}

// New creates an instance of the model using the passed in store.
func New(store Store) *Model {
	return &Model{Store: store}
}
